> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazonchangeebsvolumesparameters-object.md).

# AmazonChangeEbsVolumesParameters Object

## Description

Parameters for the Amazon Change EBS Volumes action.

## Properties

### consistencyMethod

Consistency method used when changing the EBS volumes.

Type: `string`

Valid Values:

* `none`
* `stop-instance`

Required: Yes

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### deleteOnTerminate

Parameters to use when changing the "delete on terminate" value of EBS volumes.

Type: [ChangeDeleteOnTerminate](/data-types/changedeleteonterminate-object.md) object

Required: No

### deviceName

Name of the device for EBS volumes that will be changed.

Type: `string`

Required: No

### encryption

Parameters to use when modifying the encryption of the EBS volumes.

Type: [ChangeEbsVolumeEncryption](/data-types/changeebsvolumeencryption-object.md) object

### instanceIds

Instance IDs of the EC2 instances on which the EBS volumes to change are attached. Required when `volumeIdentificationMethod` is `by-instance-id`.

Type: Array of `string`

Required: Conditional

### isDeleteOldVolumes

Indicates whether to delete the original volume after modifications have occurred.

Type: `boolean`

Required: Yes

### isDeleteSnapshots

Indicates whether to delete the intermediate snapshots after modifications have occurred.

Type: `boolean`

Required: Yes

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### resourceTagComparison

Comparison to use when identifying EBS volumes or EC2 instances by resource tag. Required when `instanceIdentificationMethod` is `by-resource-tag` or `attached-to-instances-by-resource-tag`.

Type: [ResourceTagComparison](/data-types/resourcetagcomparison-object-1.md) object.

Required: Conditional

### size

Parameters to use when resizing the EBS volumes.

Type: [ChangeEbsVolumeSize](/data-types/changeebsvolumesize-object.md) object

Required: No

### volumeIdentificationMethod

Method used to identify volumes to be modified.

Type: `string`

Valid Values:

* `all-volumes`
* `by-volume-id`
* `by-resource-tag`
* `attached-to-all-instances`
* `attached-to-instances-by-instance-id`
* `attached-to-instances-by-resource-tag`

Required: Yes

### volumeIds

Volume IDs of the EBS volumes to change. Required when `volumeIdentificationMethod` is `by-volume-id`.

Type: Array of `string`

Required: Conditional

### volumeType

Parameters to use when changing the type of EBS volumes.

Type: [ChangeEbsVolumeType](/data-types/changeebsvolumetype-object.md) object

Required: No

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],

    "volumeIdentificationMethod": "attached-to-instances-by-resource-tag",
    "resourceTagComparison": {
        "tagName": "change-my-volumes",
        "compareType": "equals",
        "tagValue": "yes"
    },

    "consistencyMethod": "stop-instance",

    "size": {
        "sizeType": "gb-to-add",
        "sizeValue": 100
    },
    "volumeType": {
        "volumeType": "ssd-gp3"
    },
    "encryption": {
        "isEncrypt": true
    },

    "isDeleteOldVolumes": false,
    "isDeleteSnapshots": true
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazonchangeebsvolumesparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
